curl -X GET "https://api-integration.ollang.com/integration/orders?pageOptions[page]=1&pageOptions[take]=10&pageOptions[search]=sample&pageOptions[orderBy]=createdAt&pageOptions[orderDirection]=desc" \
-H "X-Api-Key: <your-api-key>"
curl -X GET "https://api-integration.ollang.com/integration/orders" \
-H "X-Api-Key: <your-api-key>" \
-G \
-d "pageOptions[page]=1" \
-d "pageOptions[take]=20" \
-d "filter[type]=cc" \
-d "filter[name]=sample" \
-d "filter[createdAtRange][from]=2024-01-01T00:00:00Z" \
-d "filter[createdAtRange][to]=2024-12-31T23:59:59Z"
const params = new URLSearchParams({
"pageOptions[page]": "1",
"pageOptions[take]": "10",
"pageOptions[search]": "sample",
"pageOptions[orderBy]": "createdAt",
"pageOptions[orderDirection]": "desc",
});
const response = await fetch(
`https://api-integration.ollang.com/integration/orders?${params}`,
{
method: "GET",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
const params = new URLSearchParams({
"pageOptions[page]": "1",
"pageOptions[take]": "20",
"filter[type]": "cc",
"filter[name]": "sample",
"filter[createdAtRange][from]": "2024-01-01T00:00:00Z",
"filter[createdAtRange][to]": "2024-12-31T23:59:59Z",
});
const response = await fetch(
`https://api-integration.ollang.com/integration/orders?${params}`,
{
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
import requests
params = {
'pageOptions[page]': 1,
'pageOptions[take]': 10,
'pageOptions[search]': 'sample',
'pageOptions[orderBy]': 'createdAt',
'pageOptions[orderDirection]': 'desc'
}
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.get(
'https://api-integration.ollang.com/integration/orders',
params=params,
headers=headers
)
import requests
params = {
'pageOptions[page]': 1,
'pageOptions[take]': 20,
'filter[type]': 'cc',
'filter[name]': 'sample',
'filter[createdAtRange][from]': '2024-01-01T00:00:00Z',
'filter[createdAtRange][to]': '2024-12-31T23:59:59Z'
}
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.get(
'https://api-integration.ollang.com/integration/orders',
params=params,
headers=headers
)
$params = http_build_query([
'pageOptions' => [
'page' => 1,
'take' => 10,
'search' => 'sample',
'orderBy' => 'createdAt',
'orderDirection' => 'desc'
]
]);
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/integration/orders?' . $params,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
$response = curl_exec($curl);
curl_close($curl);
package main
import (
"fmt"
"net/http"
"net/url"
)
func main() {
baseURL := "https://api-integration.ollang.com/integration/orders"
params := url.Values{}
params.Add("pageOptions[page]", "1")
params.Add("pageOptions[take]", "10")
params.Add("pageOptions[search]", "sample")
params.Add("pageOptions[orderBy]", "createdAt")
params.Add("pageOptions[orderDirection]", "desc")
req, _ := http.NewRequest("GET", baseURL + "?" + params.Encode(), nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
}
String params = "pageOptions[page]=1&pageOptions[take]=10&pageOptions[search]=sample&pageOptions[orderBy]=createdAt&pageOptions[orderDirection]=desc";
HttpResponse<String> response = Unirest.get("https://api-integration.ollang.com/integration/orders?" + params)
.header("X-Api-Key", "<your-api-key>")
.asString();
{
"data": [
{
"id": "60b8d6f1e1b9b1d8c6c0d8e1",
"name": "Sample Project - Episode 1",
"sourceLanguage": "en",
"targetLanguage": "fr",
"status": "completed",
"type": "cc",
"createdAt": "2024-01-15T10:30:00Z",
"clientId": "client_abc123",
"projectId": "proj_xyz789"
},
{
"id": "60b8d6f1e1b9b1d8c6c0d8e2",
"name": "Corporate Training Video",
"sourceLanguage": "en",
"targetLanguage": "es",
"status": "ongoing",
"type": "aiDubbing",
"createdAt": "2024-01-14T15:45:00Z",
"clientId": "client_abc123",
"projectId": "proj_xyz790"
}
],
"meta": {
"page": 1,
"take": 10,
"itemCount": 2,
"pageCount": 1,
"hasNextPage": false,
"hasPreviousPage": false
}
}
{
"code": -2,
"error": "ValidationError",
"details": [
{
"messages": [
"<rule that failed>"
],
"path": "<field>"
}
]
}
{
"code": -4,
"error": "UnauthorizedException",
"message": "API Key is missing",
"errorData": "UnauthorizedException"
}
Orders
Get Orders
Retrieve a list of translation orders with optional pagination and filters
GET
/
integration
/
orders
curl -X GET "https://api-integration.ollang.com/integration/orders?pageOptions[page]=1&pageOptions[take]=10&pageOptions[search]=sample&pageOptions[orderBy]=createdAt&pageOptions[orderDirection]=desc" \
-H "X-Api-Key: <your-api-key>"
curl -X GET "https://api-integration.ollang.com/integration/orders" \
-H "X-Api-Key: <your-api-key>" \
-G \
-d "pageOptions[page]=1" \
-d "pageOptions[take]=20" \
-d "filter[type]=cc" \
-d "filter[name]=sample" \
-d "filter[createdAtRange][from]=2024-01-01T00:00:00Z" \
-d "filter[createdAtRange][to]=2024-12-31T23:59:59Z"
const params = new URLSearchParams({
"pageOptions[page]": "1",
"pageOptions[take]": "10",
"pageOptions[search]": "sample",
"pageOptions[orderBy]": "createdAt",
"pageOptions[orderDirection]": "desc",
});
const response = await fetch(
`https://api-integration.ollang.com/integration/orders?${params}`,
{
method: "GET",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
const params = new URLSearchParams({
"pageOptions[page]": "1",
"pageOptions[take]": "20",
"filter[type]": "cc",
"filter[name]": "sample",
"filter[createdAtRange][from]": "2024-01-01T00:00:00Z",
"filter[createdAtRange][to]": "2024-12-31T23:59:59Z",
});
const response = await fetch(
`https://api-integration.ollang.com/integration/orders?${params}`,
{
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
import requests
params = {
'pageOptions[page]': 1,
'pageOptions[take]': 10,
'pageOptions[search]': 'sample',
'pageOptions[orderBy]': 'createdAt',
'pageOptions[orderDirection]': 'desc'
}
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.get(
'https://api-integration.ollang.com/integration/orders',
params=params,
headers=headers
)
import requests
params = {
'pageOptions[page]': 1,
'pageOptions[take]': 20,
'filter[type]': 'cc',
'filter[name]': 'sample',
'filter[createdAtRange][from]': '2024-01-01T00:00:00Z',
'filter[createdAtRange][to]': '2024-12-31T23:59:59Z'
}
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.get(
'https://api-integration.ollang.com/integration/orders',
params=params,
headers=headers
)
$params = http_build_query([
'pageOptions' => [
'page' => 1,
'take' => 10,
'search' => 'sample',
'orderBy' => 'createdAt',
'orderDirection' => 'desc'
]
]);
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/integration/orders?' . $params,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
$response = curl_exec($curl);
curl_close($curl);
package main
import (
"fmt"
"net/http"
"net/url"
)
func main() {
baseURL := "https://api-integration.ollang.com/integration/orders"
params := url.Values{}
params.Add("pageOptions[page]", "1")
params.Add("pageOptions[take]", "10")
params.Add("pageOptions[search]", "sample")
params.Add("pageOptions[orderBy]", "createdAt")
params.Add("pageOptions[orderDirection]", "desc")
req, _ := http.NewRequest("GET", baseURL + "?" + params.Encode(), nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
}
String params = "pageOptions[page]=1&pageOptions[take]=10&pageOptions[search]=sample&pageOptions[orderBy]=createdAt&pageOptions[orderDirection]=desc";
HttpResponse<String> response = Unirest.get("https://api-integration.ollang.com/integration/orders?" + params)
.header("X-Api-Key", "<your-api-key>")
.asString();
{
"data": [
{
"id": "60b8d6f1e1b9b1d8c6c0d8e1",
"name": "Sample Project - Episode 1",
"sourceLanguage": "en",
"targetLanguage": "fr",
"status": "completed",
"type": "cc",
"createdAt": "2024-01-15T10:30:00Z",
"clientId": "client_abc123",
"projectId": "proj_xyz789"
},
{
"id": "60b8d6f1e1b9b1d8c6c0d8e2",
"name": "Corporate Training Video",
"sourceLanguage": "en",
"targetLanguage": "es",
"status": "ongoing",
"type": "aiDubbing",
"createdAt": "2024-01-14T15:45:00Z",
"clientId": "client_abc123",
"projectId": "proj_xyz790"
}
],
"meta": {
"page": 1,
"take": 10,
"itemCount": 2,
"pageCount": 1,
"hasNextPage": false,
"hasPreviousPage": false
}
}
{
"code": -2,
"error": "ValidationError",
"details": [
{
"messages": [
"<rule that failed>"
],
"path": "<field>"
}
]
}
{
"code": -4,
"error": "UnauthorizedException",
"message": "API Key is missing",
"errorData": "UnauthorizedException"
}
Retrieve a list of your translation orders with optional pagination and filtering capabilities. This endpoint allows you to view and manage all your submitted orders.
curl -X GET "https://api-integration.ollang.com/integration/orders?pageOptions[page]=1&pageOptions[take]=10&pageOptions[search]=sample&pageOptions[orderBy]=createdAt&pageOptions[orderDirection]=desc" \
-H "X-Api-Key: <your-api-key>"
curl -X GET "https://api-integration.ollang.com/integration/orders" \
-H "X-Api-Key: <your-api-key>" \
-G \
-d "pageOptions[page]=1" \
-d "pageOptions[take]=20" \
-d "filter[type]=cc" \
-d "filter[name]=sample" \
-d "filter[createdAtRange][from]=2024-01-01T00:00:00Z" \
-d "filter[createdAtRange][to]=2024-12-31T23:59:59Z"
const params = new URLSearchParams({
"pageOptions[page]": "1",
"pageOptions[take]": "10",
"pageOptions[search]": "sample",
"pageOptions[orderBy]": "createdAt",
"pageOptions[orderDirection]": "desc",
});
const response = await fetch(
`https://api-integration.ollang.com/integration/orders?${params}`,
{
method: "GET",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
const params = new URLSearchParams({
"pageOptions[page]": "1",
"pageOptions[take]": "20",
"filter[type]": "cc",
"filter[name]": "sample",
"filter[createdAtRange][from]": "2024-01-01T00:00:00Z",
"filter[createdAtRange][to]": "2024-12-31T23:59:59Z",
});
const response = await fetch(
`https://api-integration.ollang.com/integration/orders?${params}`,
{
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
import requests
params = {
'pageOptions[page]': 1,
'pageOptions[take]': 10,
'pageOptions[search]': 'sample',
'pageOptions[orderBy]': 'createdAt',
'pageOptions[orderDirection]': 'desc'
}
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.get(
'https://api-integration.ollang.com/integration/orders',
params=params,
headers=headers
)
import requests
params = {
'pageOptions[page]': 1,
'pageOptions[take]': 20,
'filter[type]': 'cc',
'filter[name]': 'sample',
'filter[createdAtRange][from]': '2024-01-01T00:00:00Z',
'filter[createdAtRange][to]': '2024-12-31T23:59:59Z'
}
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.get(
'https://api-integration.ollang.com/integration/orders',
params=params,
headers=headers
)
$params = http_build_query([
'pageOptions' => [
'page' => 1,
'take' => 10,
'search' => 'sample',
'orderBy' => 'createdAt',
'orderDirection' => 'desc'
]
]);
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/integration/orders?' . $params,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
$response = curl_exec($curl);
curl_close($curl);
package main
import (
"fmt"
"net/http"
"net/url"
)
func main() {
baseURL := "https://api-integration.ollang.com/integration/orders"
params := url.Values{}
params.Add("pageOptions[page]", "1")
params.Add("pageOptions[take]", "10")
params.Add("pageOptions[search]", "sample")
params.Add("pageOptions[orderBy]", "createdAt")
params.Add("pageOptions[orderDirection]", "desc")
req, _ := http.NewRequest("GET", baseURL + "?" + params.Encode(), nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
}
String params = "pageOptions[page]=1&pageOptions[take]=10&pageOptions[search]=sample&pageOptions[orderBy]=createdAt&pageOptions[orderDirection]=desc";
HttpResponse<String> response = Unirest.get("https://api-integration.ollang.com/integration/orders?" + params)
.header("X-Api-Key", "<your-api-key>")
.asString();
Authorizations
This endpoint requires API key authentication. Include your API key in the request header:- Header name:
X-Api-Key - Header value: Your API key from the Ollang dashboard
- Format:
X-Api-Key: your-api-key-here
Query Parameters
Pagination Parameters
Sorting Parameters
Search Parameters
Filter Parameters
Filter by order type. Common values are the five creatable types —
cc,
subtitle, document, aiDubbing, and studioDubbing (see
Order Types). Legacy or
system-generated values (proofreading, other, revision) are also
accepted and may match historical orders that were not created through
Create Order.Response
Array of order objects containing order details.
Show Order Object Properties
Show Order Object Properties
Stored status of the order, returned unchanged. Possible values:
pending, ongoing, completed,
revision, review, waitingForCC, waitingForSubtitle, waitingForApprove, delayed, delivered,
qualityCheck, readyToSent, qcPending, qcDelivered. Get Order by ID reports the internal stages
delivered, qualityCheck, readyToSent, qcPending, and qcDelivered as ongoing. See
Order Statuses.Type of the order. Possible values:
cc, subtitle, document, aiDubbing, studioDubbing, proofreading,
other, revision.{
"data": [
{
"id": "60b8d6f1e1b9b1d8c6c0d8e1",
"name": "Sample Project - Episode 1",
"sourceLanguage": "en",
"targetLanguage": "fr",
"status": "completed",
"type": "cc",
"createdAt": "2024-01-15T10:30:00Z",
"clientId": "client_abc123",
"projectId": "proj_xyz789"
},
{
"id": "60b8d6f1e1b9b1d8c6c0d8e2",
"name": "Corporate Training Video",
"sourceLanguage": "en",
"targetLanguage": "es",
"status": "ongoing",
"type": "aiDubbing",
"createdAt": "2024-01-14T15:45:00Z",
"clientId": "client_abc123",
"projectId": "proj_xyz790"
}
],
"meta": {
"page": 1,
"take": 10,
"itemCount": 2,
"pageCount": 1,
"hasNextPage": false,
"hasPreviousPage": false
}
}
{
"code": -2,
"error": "ValidationError",
"details": [
{
"messages": [
"<rule that failed>"
],
"path": "<field>"
}
]
}
{
"code": -4,
"error": "UnauthorizedException",
"message": "API Key is missing",
"errorData": "UnauthorizedException"
}
Was this page helpful?